Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
error al actualizar
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
ppkombo61
n00b
n00b


Joined: 14 Feb 2012
Posts: 45

PostPosted: Sun Jul 08, 2012 7:28 pm    Post subject: error al actualizar Reply with quote

Hola:
Al intentar actualizar el sistema me da el siguiente error con el primer ebuild.

Copio solo el final.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-libs/pixman-0.26.0/work/pixman-0.26.0_build/config.log
* ERROR: x11-libs/pixman-0.26.0 failed (configure phase):
* econf failed
*
* Call stack:
* ebuild.sh, line 85: Called src_configure
* environment, line 3513: Called xorg-2_src_configure
* environment, line 4371: Called autotools-utils_src_configure
* environment, line 702: Called econf '--docdir=/usr/share/doc/pixman-0.26.0' '--enable-shared' '--disable-static' '--disable-dependency-tracking' '--enable-mmx' '--enable-sse2' '--disable-vmx' '--disable-arm-neon' '--disable-arm-iwmmxt' '--disable-gtk'
* phase-helpers.sh, line 467: Called die
* The specific snippet of code:
* die "econf failed"
*
* If you need support, post the output of `emerge --info '=x11-libs/pixman-0.26.0'`,
* the complete build log and the output of `emerge -pqv '=x11-libs/pixman-0.26.0'`.
* The complete build log is located at '/var/tmp/portage/x11-libs/pixman-0.26.0/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-libs/pixman-0.26.0/temp/environment'.
* Working directory: '/var/tmp/portage/x11-libs/pixman-0.26.0/work/pixman-0.26.0_build'
* S: '/var/tmp/portage/x11-libs/pixman-0.26.0/work/pixman-0.26.0'

>>> Failed to emerge x11-libs/pixman-0.26.0, Log file:

>>> '/var/tmp/portage/x11-libs/pixman-0.26.0/temp/build.log'
* Messages for package x11-libs/pixman-0.26.0:
* ERROR: x11-libs/pixman-0.26.0 failed (configure phase):
* econf failed
*
* Call stack:
* ebuild.sh, line 85: Called src_configure
* environment, line 3513: Called xorg-2_src_configure
* environment, line 4371: Called autotools-utils_src_configure
* environment, line 702: Called econf '--docdir=/usr/share/doc/pixman-0.26.0' '--enable-shared' '--disable-static' '--disable-dependency-tracking' '--enable-mmx' '--enable-sse2' '--disable-vmx' '--disable-arm-neon' '--disable-arm-iwmmxt' '--disable-gtk'
* phase-helpers.sh, line 467: Called die
* The specific snippet of code:
* die "econf failed"
*
* If you need support, post the output of `emerge --info '=x11-libs/pixman-0.26.0'`,
* the complete build log and the output of `emerge -pqv '=x11-libs/pixman-0.26.0'`.
* The complete build log is located at '/var/tmp/portage/x11-libs/pixman-0.26.0/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-libs/pixman-0.26.0/temp/environment'.
* Working directory: '/var/tmp/portage/x11-libs/pixman-0.26.0/work/pixman-0.26.0_build'
* S: '/var/tmp/portage/x11-libs/pixman-0.26.0/work/pixman-0.26.0'

He leido los archivos que indica al final pero en ese punto me pierdo.

Ayer intentando instalar wicd en el pc de un amigo me dio un error parecido, no se si es coincidencia.
¿A que puede deberse?

Gracias de antemano.
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Mon Jul 09, 2012 9:57 am    Post subject: Reply with quote

Para poder compilar wicd debes de añadir esto:

Code:
echo "net-misc/wicd -nls" >> /etc/portage/package.use


El log de error que has posteado esta incompleto , necesito unas lineas anteriores para ver donde falla el config (parece que falta una dependencia)

Salu2
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
ppkombo61
n00b
n00b


Joined: 14 Feb 2012
Posts: 45

PostPosted: Mon Jul 09, 2012 1:34 pm    Post subject: Reply with quote

Cracias por la respuesta.

Leyendo la salida completa vi que faltaba.... x86 MMX intrinsics

En el foro encontre la solucion cambiando


CFLAGS="-march=core2 -02 -pipe"

por

CFLAGS="-march=core2 -mtune=generic -O2 -pipe"

Se soluciono.

¿Que significado tiene -mtune=generic?

Gracias
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Mon Jul 09, 2012 2:42 pm    Post subject: Reply with quote

ppkombo61 wrote:
Cracias por la respuesta.

Leyendo la salida completa vi que faltaba.... x86 MMX intrinsics

En el foro encontre la solucion cambiando


CFLAGS="-march=core2 -02 -pipe"

por

CFLAGS="-march=core2 -mtune=generic -O2 -pipe"

Se soluciono.

¿Que significado tiene -mtune=generic?

Gracias



Quote:
-mtune=generic can now be used to generate code running well on common x86 chips. This includes AMD Athlon, AMD Opteron, Intel Pentium-M, Intel Pentium 4 and Intel Core 2.
-mtune=native and -march=native will produce code optimized for the host architecture as detected using the cpuid instruction.


No se realmente que perdida de rendimiento puede representar ,supongo que es marginal..................

Salu2
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
ppkombo61
n00b
n00b


Joined: 14 Feb 2012
Posts: 45

PostPosted: Mon Jul 09, 2012 7:54 pm    Post subject: Re: error al actualizar Reply with quote

Hola de nuevo.
¿Alguien tiene algun problema com la ultima version de emerge?
Tras actualizarla hace dos dias me esta dando errores al compilar.
Le instale a un amigo Gentoo. Y le ocurre lo mismo. Con ciertos paquetes le da error.
Un saludo.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum